%global pypi_name agate-excel
%global file_name agateexcel
%global project_owner wireservice
%global github_name agate-excel
%global desc Adds read support for Excel files (xls and xlsx) to agate. \
See: http://agate-excel.rtfd.org


Name:           python-%{pypi_name}
Version:        0.2.1
Release:        2%{?dist}
Summary:        Adds read support for Excel files to agate

License:        MIT
URL:            https://pypi.python.org/pypi/agate-excel
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
BuildRequires:  python2-nose >= 1.1.2
BuildRequires:  python2-sphinx >= 1.2.2
BuildRequires:  python2-sphinx_rtd_theme >= 0.1.6
BuildRequires:  python2-unittest2
BuildRequires:  python2-agate >= 1.5.0
BuildRequires:  python2-xlrd >= 0.9.4
BuildRequires:  python2-openpyxl >= 2.3.0
Requires:       python2-agate >= 1.5.0
Requires:       python2-xlrd >= 0.9.4
Requires:       python2-openpyxl >= 2.3.0
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-nose >= 1.1.2
BuildRequires:  python3-unittest2
BuildRequires:  python3-agate >= 1.5.0
BuildRequires:  python3-xlrd >= 0.9.4
BuildRequires:  python3-openpyxl >= 2.3.0
Requires:       python3-agate >= 1.5.0
Requires:       python3-xlrd >= 0.9.4
Requires:       python3-openpyxl >= 2.3.0

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%package -n    python-%{pypi_name}-doc
Summary:       %{summary}
BuildArch:     noarch

%description -n python-%{pypi_name}-doc
%{desc}

Documentation package.


%prep
%setup -qn %{github_name}-%{version}
# Remove shebang on non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' agateexcel/*.py


%build
%py2_build
%py3_build

# Build documentation
pushd docs
    make html
    rm -f _build/html/.buildinfo
popd


%install
%py3_install
%py2_install


%check
nosetests-%{python2_version} tests -v
nosetests-%{python3_version} tests -v


%files -n python2-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python2_sitelib}/agate_excel-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{file_name}/


%files -n python3-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python3_sitelib}/agate_excel-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{file_name}/


%files -n python-%{pypi_name}-doc
%license COPYING
%doc README.rst AUTHORS.rst CHANGELOG.rst docs/_build/


%changelog
* Wed Oct 04 2017 Julien Enselme <jujens@jujens.eu> - 0.2.1-2
- Fetch sources on github with tag instead of commit

* Sun Mar 12 2017 Julien Enselme <jujens@jujens.eu> - 0.2.1-1
- Inital package
